<%@ taglib uri="http://jakarta.apache.org/struts/tags-bean" prefix="bean" %>
<%@page import="de.intevation.gnv.action.sessionmodel.DiagrammOptions"%>
<%@page import="de.intevation.gnv.action.sessionmodel.SessionModelFactory"%>
<%@page import="de.intevation.gnv.action.sessionmodel.DiagrammOptions.mode"%>
<%
  DiagrammOptions diagrammOptions = SessionModelFactory.getInstance().getSessionModel(request).getDiagrammOptions();
  boolean isStandard = diagrammOptions.getModus() == DiagrammOptions.mode.Standard;
%>

<div id="diagramOptionsContent">
    <fieldset>
        <legend onmousedown="displayDiv('diagramOptionsContent');" class="expandableFieldset">
           <bean:message key="gnviewer.diagram.options.header.title"/>
        </legend>
        <form id="outputOptionsForm" method="post" action="changeOptions.do">
           <input name="overrideSize" value="false" <%=isStandard ? "checked=\"checked\"" : "" %>onblur="document.forms.outputOptionsForm.submit()" type="radio">
           <label for="overrideSize">
                <bean:message key="gnviewer.diagram.options.size.fix"/>
            </label>
            <br>
            <input name="overrideSize" value="true" <%=!isStandard ? "checked=\"checked\"" : "" %> onblur="document.forms.outputOptionsForm.submit()" type="radio">
            <label for="overrideSize">
                 <bean:message key="gnviewer.diagram.options.size.relative"/>
            </label>
            <label for="overridenWidth">
                <bean:message key="gnviewer.diagram.options.size.text"/>
            </label>
            <input name="overridenWidth" value="<%=diagrammOptions.getWidth()%>" onblur="document.forms.outputOptionsForm.submit()" type="text">
            <br/>
            <span style="color: red;"></span>
        </form>
    </fieldset>
</div>